package cn.ezhizao.project.business.reconciliation.priceList.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.reconciliation.priceList.domain.BizTaskType;
import cn.ezhizao.project.business.reconciliation.priceList.domain.BizTaskTypeDetail;
import cn.ezhizao.project.tenant.domain.Tenant;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.reconciliation.priceList.mapper.BizEntrustPriceMapper;
import cn.ezhizao.project.business.reconciliation.priceList.domain.BizEntrustPrice;
import cn.ezhizao.project.business.reconciliation.priceList.service.IBizEntrustPriceService;

/**
 * 价目表系统Service业务层处理
 *
 * @author ruoyi
 * @date 2023-12-01
 */
@Service
public class BizEntrustPriceServiceImpl  extends ServiceImpl<BizEntrustPriceMapper, BizEntrustPrice> implements IBizEntrustPriceService
{
    @Resource
    private BizEntrustPriceMapper bizEntrustPriceMapper;

    /**
     * 查询价目表系统列表
     *
     * @param bizEntrustPrice 价目表系统
     * @return 价目表系统
     */
    @Override
    public List<BizEntrustPrice> getList(BizEntrustPrice bizEntrustPrice)
    {
        return bizEntrustPriceMapper.getList(bizEntrustPrice);
    }

    /**
     * 物理删除
     * @param bizEntrustPrice
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizEntrustPrice bizEntrustPrice){ return bizEntrustPriceMapper.physicalDelete(bizEntrustPrice); }

    @Override
    public List<Tenant> getTenantList(Tenant tenant) {
        return bizEntrustPriceMapper.getTenantList(tenant);
    }

    @Override
    public List<BizTaskType> getTaskType(Integer type) {
        return bizEntrustPriceMapper.getTaskType(type);
    }

    @Override
    public List<BizEntrustPrice> getOnceList(BizEntrustPrice bizEntrustPrice) {
        return bizEntrustPriceMapper.getOnceList(bizEntrustPrice);
    }

    /**
     * 获取任务信息明细
     * @param id
     * @return
     */
    @Override
    public List<BizTaskTypeDetail> getTaskTypeDetailList(Long id) {
        return bizEntrustPriceMapper.getTaskTypeDetailList(id);
    }

}
